'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    /**
     * Add seed commands here.
     *
     * Example:
     * await queryInterface.bulkInsert('People', [{
     *   name: 'John Doe',
     *   isBetaMember: false
     * }], {});
    */
   await queryInterface.bulkInsert('msisdns',
   [
    {
      msisdn: "628110215678",
      full_name: "Tony",
      imsi: "510105411021567",
      iccid: "9854672834187643275",
      puk_1: "35958021",
      puk_2: "95802135",
      account_id: 21,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110215679",
      full_name: "Budi",
      imsi: "510105411021568",
      iccid: "9854672834187643276",
      puk_1: "35958022",
      puk_2: "95802136",
      account_id: 21,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110215680",
      full_name: "Agus",
      imsi: "510105411021569",
      iccid: "9854672834187643275",
      puk_1: "35958023",
      puk_2: "95802137",
      account_id: 21,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110215681",
      full_name: "Firman",
      imsi: "510105411021570",
      iccid: "9854672834187643276",
      puk_1: "35958024",
      puk_2: "95802138",
      account_id: 21,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110215682",
      full_name: "Ilham",
      imsi: "510105411021571",
      iccid: "9854672834187643275",
      puk_1: "35958025",
      puk_2: "95802139",
      account_id: 21,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110215683",
      full_name: "Tika",
      imsi: "510105411021572",
      iccid: "9854672834187643276",
      puk_1: "35958026",
      puk_2: "95802140",
      account_id: 21,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110215684",
      full_name: "Sarah",
      imsi: "510105411021573",
      iccid: "9854672834187643275",
      puk_1: "35958027",
      puk_2: "95802141",
      account_id: 21,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110215685",
      full_name: "Dani",
      imsi: "510105411021574",
      iccid: "9854672834187643276",
      puk_1: "35958028",
      puk_2: "95802142",
      account_id: 21,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110215686",
      full_name: "Erik",
      imsi: "510105411021575",
      iccid: "9854672834187643275",
      puk_1: "35958029",
      puk_2: "95802143",
      account_id: 21,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110225678",
      full_name: "Tony",
      imsi: "510105411022567",
      iccid: "9854672834187643275",
      puk_1: "35958021",
      puk_2: "95802135",
      account_id: 22,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110225679",
      full_name: "Budi",
      imsi: "510105411022568",
      iccid: "9854672834187643276",
      puk_1: "35958022",
      puk_2: "95802136",
      account_id: 22,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110225680",
      full_name: "Agus",
      imsi: "510105411022569",
      iccid: "9854672834187643275",
      puk_1: "35958023",
      puk_2: "95802137",
      account_id: 22,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110225681",
      full_name: "Firman",
      imsi: "510105411022570",
      iccid: "9854672834187643276",
      puk_1: "35958024",
      puk_2: "95802138",
      account_id: 22,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110225682",
      full_name: "Ilham",
      imsi: "510105411022571",
      iccid: "9854672834187643275",
      puk_1: "35958025",
      puk_2: "95802139",
      account_id: 22,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110225683",
      full_name: "Tika",
      imsi: "510105411022572",
      iccid: "9854672834187643276",
      puk_1: "35958026",
      puk_2: "95802140",
      account_id: 22,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110225684",
      full_name: "Sarah",
      imsi: "510105411022573",
      iccid: "9854672834187643275",
      puk_1: "35958027",
      puk_2: "95802141",
      account_id: 22,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110225685",
      full_name: "Dani",
      imsi: "510105411022574",
      iccid: "9854672834187643276",
      puk_1: "35958028",
      puk_2: "95802142",
      account_id: 22,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
    {
      msisdn: "628110225686",
      full_name: "Erik",
      imsi: "510105411022575",
      iccid: "9854672834187643275",
      puk_1: "35958029",
      puk_2: "95802143",
      account_id: 22,
      is_active: true,
      updatedAt: new Date(),
      createdAt: new Date(),
    },
  ])
},

down: async (queryInterface, Sequelize) => {
  /**
   * Add commands to revert seed here.
   *
   * Example:
   * await queryInterface.bulkDelete('People', null, {});
   */
  await queryInterface.bulkDelete('msisdns', null, {});
}
};